Loading...
Searching...
No Matches
Function table display

## Functions

PUBLIC int | csoundSetIsGraphable (CSOUND *, int isGraphable)
| Tells Csound whether external graphic table display is supported.
PUBLIC void | csoundSetMakeGraphCallback (CSOUND *, void(*makeGraphCallback_)(CSOUND *, WINDAT *windat, const char *name))
| Called by external software to set Csound's MakeGraph function.
PUBLIC void | csoundSetDrawGraphCallback (CSOUND *, void(*drawGraphCallback_)(CSOUND *, WINDAT *windat))
| Called by external software to set Csound's DrawGraph function.
PUBLIC void | csoundSetKillGraphCallback (CSOUND *, void(*killGraphCallback_)(CSOUND *, WINDAT *windat))
| Called by external software to set Csound's KillGraph function.
PUBLIC void | csoundSetExitGraphCallback (CSOUND *, int(*exitGraphCallback_)(CSOUND *))
| Called by external software to set Csound's ExitGraph function.

## Detailed Description

## Function Documentation

## csoundSetDrawGraphCallback()

PUBLIC void csoundSetDrawGraphCallback | ( | CSOUND * | ,
|  | void(* | drawGraphCallback_ )(CSOUND *, WINDAT *windat) )

Called by external software to set Csound's DrawGraph function.

References PUBLIC.

## csoundSetExitGraphCallback()

PUBLIC void csoundSetExitGraphCallback | ( | CSOUND * | ,
|  | int(* | exitGraphCallback_ )(CSOUND *) )

Called by external software to set Csound's ExitGraph function.

References PUBLIC.

## csoundSetIsGraphable()

PUBLIC int csoundSetIsGraphable | ( | CSOUND * | ,
|  | int | isGraphable )

Tells Csound whether external graphic table display is supported.

Returns the previously set value (initially zero).

References PUBLIC.

## csoundSetKillGraphCallback()

PUBLIC void csoundSetKillGraphCallback | ( | CSOUND * | ,
|  | void(* | killGraphCallback_ )(CSOUND *, WINDAT *windat) )

Called by external software to set Csound's KillGraph function.

References PUBLIC.

## csoundSetMakeGraphCallback()

PUBLIC void csoundSetMakeGraphCallback | ( | CSOUND * | ,
|  | void(* | makeGraphCallback_ )(CSOUND *, WINDAT *windat, const char *name) )

Called by external software to set Csound's MakeGraph function.

References PUBLIC.